# Testflight Programs watcher with Discord webhook notifications
Forked from https://github.com/alecs297/discord-testflight-watcher/tree/main  

Very basic Node.js script that sends webhook data when a testflight link is available.

This script refreshes the invites every 30 seconds and doesn't require a discord bot account.

## Requirements

- Docker
## Setup

Exemple docker-compose file:  
```
version: '3'
services:
  testflight-watcher:
    image: uzurka/testflight-watcher
    restart: unless-stopped
    environment:
      TESTFLIGHT_ID: KmtX0bcQ # Paste here what comes after the "https://testflight.apple.com/join/" in the beta link
      DISCORD_WEBHOOK_URL: https://discord.com/api/webhooks/123456789/FDSFSDFSDFSDFSDF # Paste here the URL of your Discord Webhook
```
Docker run command:
```
docker run --env TESTFLIGHT_ID= --env DISCORD_WEBHOOK_URL=h uzurka/testflight-watcher 
```

## Beta Programs

If you want other cool beta programs to watch over, this repo lists them <https://github.com/pluwen/awesome-testflight-link>
